// https://ghinda.net/css-toggle-switch/index.html

.toggle-button {
  width: 112px;
}

label {
  &.switch-candy {
    font-size: 12px;
  }
}

.switch-candy a {
  border: none !important;
  box-shadow: none !important;
  border-radius: 0 !important;
}

.switch-light.switch-candy > span {
  background-color: white !important;
  border-radius: 2rem !important;
  padding-top: 0.2rem;
}

.switch-light.switch-candy span span,
.switch-light.switch-candy input:checked ~ span span:first-child,
.switch-toggle.switch-candy label {
  color: $nlbGreyColor !important;
  font-weight: 400 !important;
  text-shadow: none !important;
}

.switch-light.switch-candy input ~ span span:first-child,
.switch-light.switch-candy input:checked ~ span span:nth-child(2),
.switch-candy input:checked + label {
  color: #fff !important;
  font-weight: 400 !important;
}

.switch-light input:focus ~ span a,
.switch-light input:focus + label {
  outline-style: none !important;
}

// NLB TOGGLE WRAPPER
.nlb-toggle-wrapper {
  height: 32px;
  min-width: 95px;
  font-size: 12px;
  float: right;

  span {
    cursor: pointer;
    display: flex;
    padding: 6px 12px;
    background-color: $nlbWhiteColor;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    color: $nlbGreyColor;
    //width: 50%;
    box-shadow: 0 0 1px 0 rgba(9, 30, 66, 0.31), 0 1px 1px 0 rgba(9, 30, 66, 0.25);

    &:first-child {
      -webkit-border-top-left-radius: 24px;
      -webkit-border-bottom-left-radius: 24px;
      -moz-border-radius-topleft: 24px;
      -moz-border-radius-bottomleft: 24px;
      border-top-left-radius: 24px;
      border-left: 1px solid transparent;
      border-bottom-left-radius: 24px;
    }

    &:last-child {
      -webkit-border-top-right-radius: 24px;
      -webkit-border-bottom-right-radius: 24px;
      -moz-border-radius-topright: 24px;
      -moz-border-radius-bottomright: 24px;
      border-top-right-radius: 24px;
      border-right: 1px solid transparent;
      border-bottom-right-radius: 24px;
    }
  }

  &:not(.disabled):not(.same) {
    span {
      &.selected {
        &:first-child {
          color: $nlb-gray-a;
          background-color: $navigationDarkerGray;
        }

        &:last-child {
          background-color: $nlbGreenColor;
          color: $nlbWhiteColor;
        }
      }
    }
  }

  &.same {
    span {
      &.selected {
        background-color: $nlbGreenColor;
        color: $nlbWhiteColor;
      }
    }
  }

  &.disabled {
    span {
      //color: $nlbGreyColor;
      color: $nlbLightGreyColor;
      //background-color: $nlbWhiteColor;
      background-color: $navigationLightGray;
    }
  }

  @include media-breakpoint-down(md) {
    //font-size: 1px;
    float: left;
  }
}

// STOCK TOGGLE BUTTON
.switch {
  position: relative;
  display: inline-block;
  width: 51px;
  height: 32px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: '';
  height: 28px;
  width: 28px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: $nlbGreenColor;
}

input:focus + .slider {
  box-shadow: 0 0 1px $nlbGreenColor;
}

input:checked + .slider:before {
  -webkit-transform: translateX(19px);
  -ms-transform: translateX(19px);
  transform: translateX(19px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
